<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="refresh" content="3;URL=gelirgiris2.php">
    <style>
        #menu {
    margin: 0px;
    padding: 0px;
    list-style-type: none;
}


#menu li {
    float: left;
    width: 150px;
    position: relative;
}


#menu a {
    font-family: "Times New Roman", Times, serif;
    font-size: 16px;
    color: #FFFFFF;
    text-decoration: none;
    background-color: #00CCFF;
    display: block;
    padding-top: 5px;
    padding-right: 5px;
    border: 1px solid #00CCFF;
    text-align: center;
    line-height: 30px;
    margin-right: 2px;
}


#menu a:hover {
    background-color: #0099FF;
}
    </style>
    
</head>


 
<?php
 $ogrenciadi = $_POST['ogrenciadi'];
 echo $ogrenciadi;
 $odemetarihi = $_POST['odemetarihi'];
 $tutar = $_POST['tutar'];
 $odemeturu = $_POST['odemeturu'];
 $odemedonemi = $_POST['odemedonemi'];
 $odemeyiyapan = $_POST['odemeyiyapan'];
 $odemeyialan = $_POST['odemeyialan'];
 $odemeyontemi = $_POST['odemeyontemi'];
 $bilgi= $_POST['bilgi'];
 $tutar = str_replace(",",".",$tutar);

//veritabanı bağlantısı
include '../baglanti.php';

 
 
 
//yeni kayıt ekleme başlangıç
$sqlekle="INSERT INTO gelir (ogrenciadi, tarih, tutar, odemeturu, odemedonemi, odemeyiyapan, odemeyialan, odemeyontemi, bilgi) VALUES ('$ogrenciadi','$odemetarihi','$tutar','$odemeturu','$odemedonemi','$odemeyiyapan','$odemeyialan','$odemeyontemi','$bilgi')";
$sonuc=mysqli_query($conn,$sqlekle);


if ($sonuc==0){
echo "Sanırım bir hata oldu, tekrar dene veya Selman'a haber ver!";}
else {
echo "<center><h1>Seni her zaman taktir etmişimdir...</h1></center>";
}
//yeni kayıt ekleme bitiş


//daha önceden alınmış parayı tespit etme başlangıç
 $sorgu = $conn->query("SELECT * FROM alacak WHERE ogrenciadi='$ogrenciadi' AND anakategori='$odemeturu' AND altkategori='$odemedonemi' "); 
 while ($sonuc = $sorgu->fetch_assoc()) { 
     $alinan = $sonuc['alinan'];
     echo $alinan;
 }
//daha önceden alınmış parayı tespit etme bitiş

$alinan=$tutar+$alinan; //daha önceden alınan ile yeni alınanı birleştirme

//alacak listesi kayıt düzenleme başlangıç
$sqlekle = "UPDATE alacak SET alinan='$alinan' WHERE ogrenciadi='$ogrenciadi' AND anakategori='$odemeturu' AND altkategori='$odemedonemi' ";
$sonuc=mysqli_query($conn,$sqlekle);
if ($sonuc==0){
echo "Alacak listesine ekleme yaparken bir hata oldu, alacak listesine eklenip eklenmediğini kontrol et veya Selman'a haber ver!";}
else {
echo "<center><h1>Alacak listesi kayıt başarılı</h1></center>";
}
//alacak listesi kayıt düzenleme bitiş 
?>


<p align="center" style=" padding-top:100px;">Güç İçinde!</p>
</html>